Subject: bug#40442: closed (srt2vtt does not work)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 19 Mar 2021 18:49:02 +0000

Your bug report

#40442: srt2vtt does not work

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40442: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40442
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: srt2vtt does not work
From: sirgazil <[email-masked]>
To: "40442-done" <[email-masked]>
Cc: dthompson2 <[email-masked]>
Date: Fri, 19 Mar 2021 13:47:54 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Problem solved. Thanks, Dave.

P.S. I think you forgot to bump the version in the script.

$ srt2vtt --version
srt2vtt 0.1

Subject: srt2vtt does not work
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sat, 04 Apr 2020 17:58:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

I installed srt2vtt but it errors when I run it.

## Steps to reproduce

1. Run "guix install srt2vtt"
2. Run "srt2vtt --help"

## Expected result

I can see the help information indicated in srt2vtt's website:

$ srt2vtt --help
Usage: srt2vtt [OPTIONS]
Convert SubRip formatted subtitles to WebVTT format.

  -h, --help             display this help and exit
  -v, --version          display version and exit
  -i, --input=FILE-NAME  read input from FILE-NAME
  -o, --output=FILE-NAME write output to FILE-NAME

## Unexpected result

$ srt2vtt --help
Backtrace:
In ice-9/boot-9.scm:
 160: 17 [catch #t #<catch-closure 7f2f5517b2e0> ...]
In unknown file:
   ?: 16 [apply-smob/1 #<catch-closure 7f2f5517b2e0>]
In ice-9/boot-9.scm:
  66: 15 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 14 [eval # #]
In ice-9/boot-9.scm:
2412: 13 [save-module-excursion #<procedure 7f2f5519e900 at ice-9/boot-9.scm:4084:3 ()>]
4089: 12 [#<procedure 7f2f5519e900 at ice-9/boot-9.scm:4084:3 ()>]
1734: 11 [%start-stack load-stack ...]
1739: 10 [#<procedure 7f2f551b1b70 ()>]
In unknown file:
   ?: 9 [primitive-load "/home/sirgazil/.guix-profile/bin/srt2vtt"]
In ice-9/eval.scm:
 505: 8 [#<procedure 7f2f553ae660 at ice-9/eval.scm:499:4 (exp)> (use-modules # #)]
In ice-9/psyntax.scm:
1107: 7 [expand-top-sequence ((use-modules (ice-9 match) (srt2vtt ui))) () ...]
 990: 6 [scan ((use-modules (ice-9 match) (srt2vtt ui))) () ...]
 279: 5 [scan ((# #) #(syntax-object *unspecified* # #)) () (()) ...]
In ice-9/boot-9.scm:
3622: 4 [process-use-modules (((ice-9 match)) ((srt2vtt ui)))]
 710: 3 [map #<procedure 7f2f5523caa0 at ice-9/boot-9.scm:3622:25 (mif-args)> (# #)]
3623: 2 [#<procedure 7f2f5523caa0 at ice-9/boot-9.scm:3622:25 (mif-args)> (#)]
2903: 1 [resolve-interface (srt2vtt ui) #:select ...]
In unknown file:
   ?: 0 [scm-error misc-error #f "~A ~S" ("no code for module" (srt2vtt ui)) #f]

ERROR: In procedure scm-error:
ERROR: no code for module (srt2vtt ui)

## System information

$ guix describe
Generation 70	Apr 02 2020 08:07:55	(current)
  sirgazil-x 66d4b67
    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
    branch: master
    commit: 66d4b677875c84d0b7a946376cd4885f202094eb
  guix 725862e
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 725862ef53687c77ea08aa837436d14747839c41

---
https://sirgazil.bitbucket.io/